Bug 585754 - (dbusmenu-qt) Review Request: dbusmenu-qt - A Qt implementation of the DBusMenu protocol
Review Request: dbusmenu-qt - A Qt implementation of the DBusMenu protocol
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Janssen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-25 18:52 EDT by Rex Dieter
Modified: 2010-06-10 15:21 EDT (History)
3 users (show)

See Also:
Fixed In Version: dbusmenu-qt-0.3.3-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-11 16:38:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
thomasj: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2010-04-25 18:52:17 EDT
Spec URL: http://rdieter.fedorapeople.org/rpms/libdbusmenu-qt/libdbusmenu-qt.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/libdbusmenu-qt/libdbusmenu-qt-0.3.2-1.fc13.src.rpm
Description:
This library provides a Qt implementation of the DBusMenu protocol.

The DBusMenu protocol makes it possible for applications to export and import their menus over DBus.
Comment 1 Rex Dieter 2010-04-25 18:53:26 EDT
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2137061

$ rpmlint *src.rpm x86_64/*.rpm
libdbusmenu-qt-devel.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 1 warnings.
Comment 2 Rex Dieter 2010-04-25 19:11:05 EDT
Spec URL:
http://rdieter.fedorapeople.org/rpms/dbusmenu-qt/dbusmenu-qt.spec
SRPM URL:
http://rdieter.fedorapeople.org/rpms/libdbusmenu-qt/dbusmenu-qt-0.3.2-2.fc13.src.rpm

%changelog
* Sun Apr 25 2010 Rex Dieter <rdieter@fedoraproject.org> 0.3.2-2
- pkg rename s/libdbusmenu-qt/dbusmenu-qt/
- Provides: libdbusmenu-qt(-devel)
Comment 3 Thomas Janssen 2010-04-28 14:16:17 EDT
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name. (uses provides)
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License
LGPLv2+
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
40f74fd1ebc9a9a9643aab629bdfcfae
NN - Package needs ExcludeArch
OK - BuildRequires correct
NN - Spec handles locales/find_lang
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package is code or permissible content.
NN - Doc subpackage needed/used.
OK - Packages %doc files don't affect runtime.

OK - Headers/static libs in -devel subpackage.
OK - Spec has needed ldconfig in post and postun
OK - .pc files in -devel subpackage/requires pkgconfig
OK - .so files in -devel subpackage.
OK - -devel package Requires: %{name} = %{version}-%{release}

NN - Package is a GUI app and has a .desktop file

OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
OK - No rpmlint output.
OK - final provides and requires are sane

APPROVED
Comment 4 Rex Dieter 2010-04-28 14:52:45 EDT
New Package CVS Request
=======================
Package Name: dbusmenu-qt
Short Description: A Qt implementation of the DBusMenu protocol
Owners: rdieter than kkofler
Branches: F-12 F-13
InitialCC:
Comment 5 Jason Tibbitts 2010-04-28 22:13:54 EDT
CVS done (by process-cvs-requests.py).
Comment 6 Rex Dieter 2010-05-11 16:38:33 EDT
built for rawhide
Comment 7 Fedora Update System 2010-05-26 09:14:56 EDT
dbusmenu-qt-0.3.3-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/dbusmenu-qt-0.3.3-1.fc13
Comment 8 Fedora Update System 2010-05-26 09:16:03 EDT
dbusmenu-qt-0.3.3-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/dbusmenu-qt-0.3.3-1.fc12
Comment 9 Fedora Update System 2010-06-10 15:21:02 EDT
dbusmenu-qt-0.3.3-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2010-06-10 15:21:22 EDT
dbusmenu-qt-0.3.3-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.